#!/usr//bin/perl
#
#matthias@penthouse.boerde.de

use Getopt::Std;
use File::Basename;
use Term::ReadLine;

  $DJPEG="/usr/bin/djpeg";
  $CJPEG="/usr/bin/cjpeg";

  getopts("hq:p:");
  $arg0 = $ARGV[0]; 
  $Qual = $opt_q;
  $Path = $opt_p;

  if (defined( $opt_h ) || !defined( $opt_q) )
  {
    printf <<HELP;
Wandelt alle jpg's in einem Verzeichnis um.
  -q jpg-Qualitaet 0-100
  -p "x/" subdirectory in dem die neuen Files stehen werden
HELP
    exit;
  }

  $Path ||= "x/";

  unless (-d $Path) 
  {
    mkdir $Path, 0755 or die 'Cannot Create $Path Directory!';
  }

  @jpgfiles = <*.jpg>;
  push (@jpgfiles, <*.JPG>); 
  $Count = 0;
  foreach $jpg(@jpgfiles)
  { #Erzeuge die neuen Bilder
    $kjpg = "$Path/$jpg"; 
    print "Konvertiere $jpg\n";
    $status = system("$DJPEG $jpg | $CJPEG -q $Qual > $kjpg ");
    die "Probleme mit djpeg und cjpeg" unless $status == 0;
  }
  print "$HtmlName mit $Count Bildern erzeugt.\n";

